# Interface methods for submodule: LabelMapOverlayImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LabelMapFilterProxy as _LabelMapFilterProxy


# Interface methods for class: LabelMapOverlayImageFilter
class LabelMapOverlayImageFilterProxy(_LabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFeatureImage(self, input) -> None:
		""""""
		...

	def GetFeatureImage(self):
		""""""
		...

	def SetInput1(self, input) -> None:
		""""""
		...

	def SetInput2(self, input) -> None:
		""""""
		...

	def SetOpacity(self, _arg: float) -> None:
		""""""
		...

	def GetOpacity(self) -> float:
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	def GetFunctor(self):
		""""""
		...

